# Installation
> `npm install --save @types/react-native-custom-tabs`

# Summary
This package contains type definitions for react-native-custom-tabs (https://github.com/droibit/react-native-custom-tabs).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-custom-tabs.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-custom-tabs/index.d.ts)
````ts
export interface Animations {
    startEnter: string;
    startExit: string;
    endEnter: string;
    endExit: string;
}

export interface CustomTabsOptions {
    toolbarColor?: string | undefined;
    enableUrlBarHiding?: boolean | undefined;
    showPageTitle?: boolean | undefined;
    enableDefaultShare?: boolean | undefined;
    animations?: Animations | undefined;
    headers?: any;
}

export namespace CustomTabs {
    function openURL(url: string, options?: CustomTabsOptions): Promise<boolean>;
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: none

# Credits
These definitions were written by [Phil Nova](https://github.com/philnova).
